Mombu the Php Forum sponsored links

Go Back   Mombu the Php Forum > Php > buildconf stopped working for me
User Name
Password
REGISTER NOW! Mark Forums Read

sponsored links


Reply
 
1 4th March 00:35
sb
External User
 
Posts: 1
Default buildconf stopped working for me


Haven't built HEAD on Linux for a while but when I tried today buildconf
didn't like my autoconf:

sb@wopr-mobile php-5.1 % ./buildconf
using default Zend directory
buildconf: checking installation...
buildconf: autoconf version 2.13 (ok)
buildconf: libtool version 1.5.10 (ok)
rebuilding aclocal.m4
rebuilding configure
FATAL ERROR: Autoconf version 2.50 or higher is required for this script
rebuilding acconfig.h
rebuilding main/php_config.h.in
FATAL ERROR: Autoconf version 2.50 or higher is required for this script

This is on a Gentoo Linux (~x86) box that has, as part of the standard
toolchain, both autoconf 2.13 and 2.59 installed which are wrapped by
autoconf-wrapper.

--
Sebastian Bergmann http://www.sebastian-bergmann.de/
GnuPG Key: 0xB85B5D69 / 27A7 2B14 09E4 98CD 6277 0E5B 6867 C514 B85B 5D69

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote


  sponsored links


2 4th March 03:44
sb
External User
 
Posts: 1
Default buildconf stopped working for me


It finds autoconf 2.13 because buildcheck.sh ********ly calls
autoconf-2.13 (instead of just autoconf).


And then it uses autoconf 2.59 because it calls autoconf.

--
Sebastian Bergmann http://www.sebastian-bergmann.de/
GnuPG Key: 0xB85B5D69 / 27A7 2B14 09E4 98CD 6277 0E5B 6867 C514 B85B 5D69

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote
3 4th March 03:44
derick
External User
 
Posts: 1
Default buildconf stopped working for me


Sounds like a problem in your wrapper scripts then...

Derick

--
Derick Rethans
http://derickrethans.nl | http://ez.no | http://xdebug.org

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote
4 4th March 03:44
sb
External User
 
Posts: 1
Default buildconf stopped working for me


buildcheck.sh calls "autoconf-2.13". This does not involve the wrapper
script.

Later "autoconf" is called. This one is handled by the wrapper which
defaults to autoconf 2.5x.

It might be a problem with the wrapper after all, since

WANT_AUTOCONF=2.1 ./buildconf

fails as well. (The WANT_AUTOCONF variable specifies the autoconf
version to be used.)

Then again, it used to work fine until recently.

--
Sebastian Bergmann http://www.sebastian-bergmann.de/
GnuPG Key: 0xB85B5D69 / 27A7 2B14 09E4 98CD 6277 0E5B 6867 C514 B85B 5D69

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote
5 4th March 03:44
sb
External User
 
Posts: 1
Default buildconf stopped working for me


Reverting build/build2.mk to revision 1.30 seems to fix the issue.

The checks introduced in revision 1.31 seem to find both
/usr/bin/autoconf (wrapper, defaults to 2.5x) and /usr/bin/autoconf-2.13
(no wrapper) and get confused by this.

--
Sebastian Bergmann http://www.sebastian-bergmann.de/
GnuPG Key: 0xB85B5D69 / 27A7 2B14 09E4 98CD 6277 0E5B 6867 C514 B85B 5D69

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote
6 4th March 03:44
magnus
External User
 
Posts: 1
Default buildconf stopped working for me


Hello Sebastian,

Doesn't libtool 1.5.10 require autoconf >= 2.50 ?

That's atleast what I experienced. Downgrading to 1.4.3 made it work
again with autoconf 2.13.


Magnus

--
"I love this planet. I've got wealth, fame, and access to the depths
of sleaze that those things bring." -Bender

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote
7 4th March 03:44
sniper
External User
 
Posts: 1
Default buildconf stopped working for me


--8323328-142596132-1105457034=:7696
Content-Type: TEXT/PLAIN; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8BIT


We only support/use libtool 1.4.3, so..

--Jani


--8323328-142596132-1105457034=:7696
Content-Type: text/plain; charset=us-ascii

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
--8323328-142596132-1105457034=:7696--
  Reply With Quote
8 4th March 10:23
sb
External User
 
Posts: 1
Default buildconf stopped working for me


The detection code for multiple autoconf versions is still wrong, IMHO.

--
Sebastian Bergmann http://www.sebastian-bergmann.de/
GnuPG Key: 0xB85B5D69 / 27A7 2B14 09E4 98CD 6277 0E5B 6867 C514 B85B 5D69

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit: http://www.php.net/unsub.php
  Reply With Quote


  sponsored links


Reply


Thread Tools
Display Modes




Copyright 2006 SmartyDevil.com - Dies Mies Jeschet Boenedoesef Douvema Enitemaus -
666